package com.xinelu.manage.dto.nursestation;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseDomain;
import lombok.Data;

import java.io.Serializable;
import java.util.Objects;


/**
 * @author ljh
 * @version 1.0
 * Create by 2022/9/16 15:08
 */
@Data
public class NurseStationImportDTO extends BaseDomain implements Serializable {
    private static final long serialVersionUID = -820358405795833252L;
    /**
     * 护理站名称
     */
    @Excel(name = "护理站名称")
    private String nurseStationName;

    /**
     * 联系电话
     */
    @Excel(name = "护理站电话")
    private String phone;

    /**
     * 护理站地址
     */
    @Excel(name = "护理站地址")
    private String address;

    /**
     * 负责人
     */
    @Excel(name = "负责人")
    private String dutyPerson;

    /**
     * 负责人联系电话
     */
    @Excel(name = "负责人电话")
    private String dutyPhone;

    /**
     * 护理站简介
     */
    @Excel(name = "护理站简介")
    private String agencyIntroduce;

    /**
     * 创建人Id
     */
    private Long userId;

    /**
     * 护理站编号
     */
    private String nurseStationCode;

    /**
     * 所属区域编码
     */
    private Long areaCode;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        NurseStationImportDTO that = (NurseStationImportDTO) o;
        return Objects.equals(nurseStationName, that.nurseStationName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(nurseStationName);
    }
}
